Index: main/waeup.kofa/trunk/README.txt
===================================================================
--- main/waeup.kofa/trunk/README.txt	(revision 13177)
+++ main/waeup.kofa/trunk/README.txt	(revision 13178)
@@ -2,19 +2,33 @@
 ********************
 
-Kofa, which means 'entrance' or 'portal' in Hausa language, is a
-multifunctional, open source, web based student management system to
-provide transparent and comprehensive information about application
-and study progress. Kofa is the flagship of the West African
-eUniversity Project (WAeUP). See http://www.waeup.org to learn more
-about WAeUP. The system controls all kinds of application and
-student registration processes at large schools and universities in
-Nigeria. It is a generic system which can be deployed by, and is
-useful to most universities, colleges or schools wordlwide.
+Kofa means 'entrance' or 'portal' in Hausa language.
 
-Kofa is really an allrounder. The best way to briefly describe its functionality, is to explain what the software can *not* do for you, rather than trying to describe all its features in just a few words. Kofa is primarily not an e-learning system, although, it has some basic content management features which can be used by lecturers to disseminate course material. Kofa is also not a scheduler which generates lesson plans or timetables for lecturers or students. Although students register their courses with Kofa and can see or print course lists for each academic session, so far, courses do not contain information, when or where they take place. However, due to the modular design of Kofa, a scheduler or room planner could be easily added.
+WAeUP.Kofa is a multifunctional, open source, web based student
+management system to provide transparent and comprehensive
+information about application and study progress. The system
+controls all kinds of application and student registration processes
+at large schools and universities in Nigeria. It is a generic system
+which can be deployed by, and is useful to most universities,
+colleges or schools wordlwide.
 
-Kofa is divided into sections. Each section has its own folder in
-Kofa's :ref:`object database <object_database>`. When starting Kofa
-in debug mode::
+WAeUP.Kofa is the flagship of the West African eUniversity Project
+(WAeUP). See http://www.waeup.org to learn more about WAeUP.
+
+WAeUP.Kofa is really an allrounder. The best way to briefly describe
+its functionality, is to explain what the software can *not* do for
+you, rather than trying to describe all its features in just a few
+words. Kofa is primarily not an e-learning system, although, it has
+some basic content management features which can be used by
+lecturers to disseminate course material. Kofa is also not a
+scheduler which generates lesson plans or timetables for lecturers
+or students. Although students register their courses with Kofa and
+can see or print course lists for each academic session, so far,
+courses do not contain information, when or where they take place.
+However, due to the modular design of Kofa, a scheduler or room
+planner could be easily added.
+
+WAeUP.Kofa is divided into sections. Each section has its own folder
+in Kofa's :ref:`object database <object_database>`. When starting
+Kofa in debug mode::
 
   $ ./bin/kofactl debug
Index: main/waeup.kofa/trunk/docs/source/_templates/mainpage.template
===================================================================
--- main/waeup.kofa/trunk/docs/source/_templates/mainpage.template	(revision 13177)
+++ main/waeup.kofa/trunk/docs/source/_templates/mainpage.template	(revision 13178)
@@ -9,84 +9,92 @@
 </p>
 
-<p><strong>Sections</strong></p>
-<table class="contentstable" align="center"><tr>
-  <td width="50%">
-    <p class="biglink">
-      <a class="biglink"
-         href="{{ pathto("intro") }}">Introduction</a><br />
-      <span class="linkdescr">Get started with waeup.kofa.</span>
-    </p>
+<table class="contentstable" align="center">
+  <tr>
+    <td width="50%">
+      <p class="biglink">
+        <a class="biglink"
+           href="{{ pathto("intro") }}">Introduction</a><br />
+        <span class="linkdescr"></span>
+      </p>
+    </td>
+    <td width="50%">
+      <p class="biglink">
+        <a class="biglink"
+           href="{{ pathto("contents") }}">Table of Contents</a><br />
+        <span class="linkdescr"></span>
+      </p>
+    </td>
+  </tr>
 
-    <p class="biglink">
-      <a class="biglink"
-         href="{{ pathto("userdocs/index") }}">User Handbook</a><br />
-    <span class="linkdescr">
-      Documentation for users and admins using waeup.kofa.
-    </span></p>
+  <tr>
+    <td width="50%">
+      <p class="biglink">
+        <a class="biglink"
+             href="{{ pathto("userdocs/index") }}">User Handbook</a><br />
+        <span class="linkdescr">
+          Documentation for officers and admins
+        </span>
+      </p>
+    </td>
+    <td width="50%">
+      <p class="biglink">
+        <a class="biglink"
+           href="{{ pathto("developerdocs/index") }}">Developer Handbook</a><br />
+        <span class="linkdescr">
+          <a href="{{ pathto("developerdocs/api/index") }}">API</a> and other pieces
+          relevant for developers
+        </span>
+      </p>
+    </td>
+  </tr>
 
-    </td><td width="50%">
-    <p class="biglink">
-      <a class="biglink"
-         href="{{ pathto("changes") }}">What's new?</a><br />
-      <span class="linkdescr">Changes made in each release.</span>
-    </p>
-
-    <p class="biglink">
-      <a class="biglink"
-         href="{{ pathto("developerdocs/index") }}">Developer Handbook</a><br />
-      <span class="linkdescr">
-        <a href="{{ pathto("developerdocs/api/index") }}">API</a> and other pieces
-        relevant for developers.
-      </span>
-    </p>
-
-  </td></tr>
-</table>
-
-<p><strong>Indices and tables</strong></p>
-<table class="contentstable" align="center"><tr>
-  <td width="50%">
-    <p class="biglink">
-      <a class="biglink"
-         href="{{ pathto("contents") }}">Table of Contents</a><br />
-      <span class="linkdescr">Lists all sections and subsections.</span>
-    </p>
-    </td><td width="50%">
-
-    <p class="biglink">
-      <a class="biglink"
-         href="{{ pathto("genindex") }}">Index</a><br />
-      <span class="linkdescr">All functions, classes, terms.</span>
-    </p>
-  </td></tr>
-</table>
-
-<p><strong>Further information</strong></p>
-<table class="contentstable" align="center"><tr>
-  <td width="50%">
-
-    <p class="biglink">
-      <a class="biglink"
-         href="{{ pathto("bugs") }}">Reporting Bugs</a><br />
-    </p>
-
-    <p class="biglink">
-      <a class="biglink"
-         href="{{ pathto("documentation") }}">About the Documentation</a><br />
-    </p>
-
-    </td><td width="50%">
-
-    <p class="biglink">
-      <a class="biglink"
-         href="{{ pathto("license") }}">License</a><br />
-    </p>
-
-    <p class="biglink">
-      <a class="biglink"
-         href="{{ pathto("copyright") }}">Copyright</a><br />
-    </p>
-
-    </td></tr>
+  <tr>
+    <td width="50%">
+      <p class="biglink">
+        <a class="biglink"
+           href="{{ pathto("changes") }}">What's new?</a><br />
+        <span class="linkdescr">Changes made in each release</span>
+      </p>
+    </td>
+    <td width="50%">
+      <p class="biglink">
+        <a class="biglink"
+           href="{{ pathto("genindex") }}">Index</a><br />
+        <span class="linkdescr">All Python functions and classes</span>
+      </p>
+    </td>
+  </tr>
+  <tr>
+    <td width="50%">
+      <p class="biglink">
+        <a class="biglink"
+           href="{{ pathto("bugs") }}">Reporting Bugs</a><br />
+        <span class="linkdescr"></span>
+      </p>
+    </td>
+    <td width="50%">
+      <p class="biglink">
+        <a class="biglink"
+           href="{{ pathto("license") }}">License</a><br />
+        <span class="linkdescr"></span>
+      </p>
+    </td>
+  </tr>
+  <tr>
+    <td width="50%">
+      <p class="biglink">
+        <a class="biglink"
+           href="{{ pathto("documentation") }}">About the Documentation</a><br />
+        <span class="linkdescr"></span>
+      </p>
+    </td>
+    <td width="50%">
+      <p class="biglink">
+        <a class="biglink"
+           href="{{ pathto("copyright") }}">Copyright</a><br />
+        <span class="linkdescr"></span>
+      </p>
+    </td>
+  </tr>
 </table>
 
Index: main/waeup.kofa/trunk/docs/source/userdocs/documents.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/documents.rst	(revision 13177)
+++ main/waeup.kofa/trunk/docs/source/userdocs/documents.rst	(revision 13178)
@@ -21,5 +21,5 @@
 
 The first can be used to provide pdf files for download. The second
-and third can be used to create multilingual static html pages on
+and third can be used to create multi-lingual static html pages on
 the portal. HTML documents expect html coded text as input, REST
 documents expect `reStructuredText <http://docutils.sf.net/rst.html>`_
@@ -104,5 +104,5 @@
 1. Click *Documents > Manage > Add document*.
 2. Select *HTML Document*, fill fields and press *Add document*.
-3. Enter multilingual content in HTML format and press *Save*.
+3. Enter multi-lingual content in HTML format and press *Save*.
 4. Click *View > Transition*.
 5. Select *Publish document* and press *Save*.
@@ -112,5 +112,5 @@
 6. Mark and copy the HTML Element provided on the page:
    ``<a href= ... /a>``.
-7. Open another HTML document or a page with multilingual content
+7. Open another HTML document or a page with multi-lingual content
    and paste the element where needed.
 
@@ -132,4 +132,4 @@
 7. Mark and copy the HTML element found:
    ``<a target="image" href= ... /a>``.
-8. Open another HTML document or a page with multilingual content
+8. Open another HTML document or a page with multi-lingual content
    and paste the element where needed.