Index: main/waeup.uniben/trunk/grok-1.1.cfg
===================================================================
--- main/waeup.uniben/trunk/grok-1.1.cfg	(revision 13180)
+++ main/waeup.uniben/trunk/grok-1.1.cfg	(revision 13180)
@@ -0,0 +1,192 @@
+[versions]
+# from http://svn.zope.org/*checkout*/zopetoolkit/trunk/zopeapp.cfg?rev=108938
+zope.app.apidoc = 3.7.1
+zope.app.applicationcontrol = 3.5.5
+zope.app.appsetup = 3.13.0
+zope.app.authentication = 3.7.1
+zope.app.basicskin = 3.5.0
+zope.app.broken = 3.5.0
+zope.app.cache = 3.7.0
+zope.app.catalog = 3.8.1
+zope.app.component = 3.8.4
+zope.app.container = 3.8.2
+zope.app.content = 3.4.0
+zope.app.dav = 3.5.2
+zope.app.debug = 3.4.1
+zope.app.dependable = 3.5.1
+zope.app.error = 3.5.2
+zope.app.exception = 3.6.1
+zope.app.file = 3.5.1
+zope.app.folder = 3.5.1
+zope.app.form = 4.0.1
+zope.app.ftp = 3.5.0
+zope.app.generations = 3.5.1
+zope.app.http = 3.6.1
+zope.app.i18n = 3.6.2
+zope.app.interface = 3.5.0
+zope.app.interpreter = 3.4.0
+zope.app.intid = 3.7.1
+zope.app.keyreference = 3.6.0
+zope.app.locales = 3.6.0
+zope.app.localpermission = 3.7.0
+zope.app.locking = 3.5.0
+zope.app.onlinehelp = 3.5.2
+zope.app.pagetemplate = 3.10.1
+zope.app.preference = 3.6.0
+zope.app.preview = 3.4.0
+zope.app.principalannotation = 3.7.0
+zope.app.publication = 3.10.2
+zope.app.publisher = 3.10.1
+zope.app.renderer = 3.5.1
+zope.app.rotterdam = 3.5.1
+zope.app.schema = 3.5.0
+zope.app.security = 3.7.5
+zope.app.securitypolicy = 3.5.2
+zope.app.server = 3.5.0
+zope.app.session = 3.6.1
+zope.app.skins = 3.4.0
+zope.app.testing = 3.7.4
+zope.app.tree = 3.6.0
+zope.app.twisted = 3.5.0
+zope.app.undo = 3.5.0
+zope.app.wsgi = 3.6.1
+zope.app.zcmlfiles = 3.7.0
+zope.app.zopeappgenerations = 3.5.0
+zope.app.zptpage = 3.5.1
+roman = 1.4.0
+zc.sourcefactory = 0.6.0
+zodbcode = 3.4.0
+zope.thread = 3.4
+zope.rdb = 3.5.0
+
+# from http://svn.zope.org/*checkout*/zopetoolkit/trunk/ztk.cfg?rev=108938
+zope.annotation = 3.5.0
+zope.applicationcontrol = 3.5.5
+zope.authentication = 3.7.0
+zope.broken = 3.6.0
+zope.browser = 1.2
+zope.browsermenu = 3.9.0
+zope.browserpage = 3.11.0
+zope.browserresource = 3.10.2
+zope.cachedescriptors = 3.5.0
+zope.catalog = 3.8.1
+zope.component = 3.9.1
+zope.componentvocabulary = 1.0
+zope.configuration = 3.7.1
+zope.container = 3.11.0
+zope.contentprovider = 3.6.1
+zope.contenttype = 3.5.0
+zope.copy = 3.5.0
+zope.copypastemove = 3.6.0
+zope.datetime = 3.4.0
+zope.deferredimport = 3.5.0
+zope.deprecation = 3.4.0
+zope.documenttemplate = 3.4.2
+zope.dottedname = 3.4.6
+zope.dublincore = 3.6.0
+zope.error = 3.7.0
+zope.event = 3.4.1
+zope.exceptions = 3.5.2
+zope.file = 0.5.0
+zope.filerepresentation = 3.6.0
+zope.formlib = 4.0
+zope.hookable = 3.4.1
+zope.html = 2.0.0
+zope.i18n = 3.7.2
+zope.i18nmessageid = 3.5.0
+zope.index = 3.6.0
+zope.interface = 3.5.3
+zope.intid = 3.7.2
+zope.keyreference = 3.6.2
+zope.lifecycleevent = 3.6.0
+zope.location = 3.9.0
+zope.login = 1.0.0
+zope.mimetype = 1.2.0
+zope.minmax = 1.1.2
+zope.pagetemplate = 3.5.0
+zope.password = 3.5.1
+zope.pluggableauth = 1.0.1
+zope.principalannotation = 3.6.0
+zope.principalregistry = 3.7.0
+zope.processlifetime = 1.0
+zope.proxy = 3.5.0
+zope.ptresource = 3.9.0
+zope.publisher = 3.12.0
+zope.ramcache = 1.0
+zope.schema = 3.6.1
+zope.security = 3.7.2
+zope.securitypolicy = 3.6.1
+zope.sendmail = 3.7.1
+zope.sequencesort = 3.4.0
+zope.server = 3.6.1
+zope.session = 3.9.2
+zope.site = 3.9.0
+zope.size = 3.4.1
+zope.structuredtext = 3.4.0
+zope.tal = 3.5.2
+zope.tales = 3.5.0
+zope.testbrowser = 3.7.0
+zope.testing = 3.8.7
+zope.traversing = 3.12.0
+zope.viewlet = 3.7.0
+zope.modulealias = 3.4.0
+zope.xmlpickle = 3.4.0
+ClientForm = 0.2.10
+distribute = 0.6.10
+docutils = 0.6
+Jinja2 = 2.2.1
+mechanize = 0.1.11
+py = 1.0.0
+Pygments = 1.2.2
+python-gettext = 1.0
+pytz = 2010b
+RestrictedPython = 3.5.1
+setuptools = 0.6c11
+Sphinx = 0.6.4
+transaction = 1.0.0
+z3c.recipe.sphinxdoc = 0.0.8
+zc.buildout = 1.4.3
+zc.lockfile = 1.0.0
+ZConfig = 2.7.1
+zc.recipe.egg = 1.2.2
+zc.recipe.testrunner = 1.2.0
+zc.resourcelibrary = 1.3.0
+zdaemon = 2.0.4
+ZODB3 = 3.9.4
+
+# grok 1.1
+grok = 1.1
+grokcore.annotation = 1.2
+grokcore.component = 1.8
+grokcore.content = 1.0
+grokcore.formlib = 1.5
+grokcore.message = 0.2
+grokcore.security = 1.4
+grokcore.site = 1.2
+grokcore.startup = 0.4
+grokcore.view = 1.13.2
+grokcore.viewlet = 1.4.1
+grokui.base = 0.2
+grokui.admin = 0.6.1
+martian = 0.11.1
+z3c.autoinclude = 0.3.2
+z3c.evalexception = 2.0
+z3c.flashmessage = 1.0
+zc.catalog = 1.4.2
+# Override
+zope.password = 3.6.0
+# Tools
+Paste = 1.7.2
+PasteDeploy = 1.3.3
+PasteScript = 1.7.3
+buildout.dumppickedversions = 0.4
+collective.recipe.template = 1.4
+simplejson = 2.0.9
+z3c.recipe.dev = 0.5.4
+z3c.recipe.eggbasket = 0.4.3
+z3c.recipe.i18n = 0.6.0
+z3c.recipe.mkdir = 0.3.1
+z3c.recipe.template = 0.1
+z3c.testsetup = 0.6.1
+zc.recipe.filestorage = 1.0.1
+zest.releaser = 3.4
Index: main/waeup.uniben/trunk/versions.cfg
===================================================================
--- main/waeup.uniben/trunk/versions.cfg	(revision 13151)
+++ main/waeup.uniben/trunk/versions.cfg	(revision 13180)
@@ -2,5 +2,6 @@
 [buildout]
 # default set of versions we use.
-extends= http://grok.zope.org/releaseinfo/grok-1.1.cfg
+#extends = http://grok.zope.org/releaseinfo/grok-1.1.cfg
+extends = grok-1.1.cfg
 
 versions = versions