Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/layout.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/layout.py	(revision 13182)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/layout.py	(revision 13198)
@@ -201,4 +201,5 @@
             if 'address' in widget.name or \
                 'comment' in widget.name or \
+                'message' in widget.name or \
                 'notice' in widget.name:
                 widget.height = 6
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 13182)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 13198)
@@ -1742,4 +1742,8 @@
         if CREATE:
             utils = queryUtility(IKofaUtils)
+            if utils.export_disabled_message():
+                self.flash(utils.export_disabled_message(), type='danger')
+                self.entries = doll_up(self, user=None)
+                return
             if not utils.expensive_actions_allowed():
                 self.flash(_(
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_browser.py	(revision 13182)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_browser.py	(revision 13198)
@@ -216,4 +216,26 @@
         return
 
+    def test_export_disabled(self):
+        self.app['configuration'].export_disabled_message = u'Export forbidden'
+        self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
+        self.browser.open(self.datacenter_path)
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        self.assertEqual(self.browser.url, self.datacenter_path)
+        self.browser.getLink("Export data").click()
+        self.browser.getControl(name="exporter").value = ['faculties']
+        self.browser.getControl("Create CSV file").click()
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        self.assertTrue('div class="alert alert-danger">Export forbidden</div>'
+                         in self.browser.contents)
+        self.browser.getLink("selecting certain export paramers").click()
+        self.browser.getControl(name="exporter").value = ['students']
+        self.browser.getControl(name="session").value = ['all']
+        self.browser.getControl(name="level").value = ['all']
+        self.browser.getControl(name="mode").value = ['all']
+        self.browser.getControl("Create CSV file").click()
+        self.assertTrue('div class="alert alert-danger">Export forbidden</div>'
+                         in self.browser.contents)
+        return
+
     def test_export_download(self):
         # we can download a generated export result
Index: main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 13182)
+++ main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 13198)
@@ -714,4 +714,10 @@
         )
 
+    export_disabled_message = schema.Text(
+        title = _(u'Export disabled message'),
+        required = False,
+        )
+
+
     def addSessionConfiguration(sessionconfiguration):
         """Add a session configuration object.
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 13182)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 13198)
@@ -3236,4 +3236,8 @@
             return
         utils = queryUtility(IKofaUtils)
+        if utils.export_disabled_message():
+            self.flash(utils.export_disabled_message(), type='danger')
+            self.entries = doll_up(self, user=None)
+            return
         if not utils.expensive_actions_allowed():
             self.flash(_(
Index: main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py	(revision 13182)
+++ main/waeup.kofa/trunk/src/waeup/kofa/utils/utils.py	(revision 13198)
@@ -349,2 +349,9 @@
                     return False
         return True
+
+    def export_disabled_message(self):
+        export_disabled_message = grok.getSite()[
+            'configuration'].export_disabled_message
+        if export_disabled_message:
+            return export_disabled_message
+        return None