Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 13217)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 13218)
@@ -477,10 +477,10 @@
 
 class ApplicantsContainerPrefillFormPage(KofaAddFormPage):
-    """Add-form to pre-fill applicants containers.
+    """Form to pre-fill applicants containers.
     """
     grok.context(IApplicantsContainer)
     grok.require('waeup.manageApplication')
     grok.name('prefill')
-    grok.template('prefill_container')
+    grok.template('prefillcontainer')
     label = _('Pre-fill container')
     pnav = 3
@@ -497,5 +497,5 @@
 
     @action(_('Pre-fill now'), style='primary')
-    def addApplicants(self, **data):
+    def addApplicants(self):
         form = self.request.form
         if 'number' in form and form['number']:
@@ -506,4 +506,34 @@
         self.flash(_('%s application records created.' % number))
         self.context.writeLogMessage(self, '%s applicants created' % (number))
+        self.redirect(self.url(self.context, 'index'))
+        return
+
+    @action(_('Cancel'), validator=NullValidator)
+    def cancel(self, **data):
+        self.redirect(self.url(self.context))
+        return
+
+class ApplicantsContainerPurgeFormPage(KofaEditFormPage):
+    """Form to pre-fill applicants containers.
+    """
+    grok.context(IApplicantsContainer)
+    grok.require('waeup.manageApplication')
+    grok.name('purge')
+    grok.template('purgecontainer')
+    label = _('Purge container')
+    pnav = 3
+    doclink = DOCLINK + '/applicants.html'
+
+    @action(_('Remove initialized records'), style='primary')
+    def purgeInitialized(self):
+        form = self.request.form
+        purged = 0
+        keys = [key for key in self.context.keys()]
+        for key in keys:
+            if self.context[key].state == 'initialized':
+                del self.context[key]
+                purged += 1
+        self.flash(_('%s application records purged.' % purged))
+        self.context.writeLogMessage(self, '%s applicants purged' % (purged))
         self.redirect(self.url(self.context, 'index'))
         return
Index: in/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/prefill_container.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/prefill_container.pt	(revision 13217)
+++ 	(revision )
@@ -1,22 +1,0 @@
-<form action="." tal:attributes="action request/URL" method="post"
-      i18n:domain="waeup.kofa" enctype="multipart/form-data"
-      autocomplete="off">
-
-    <br />
-
-    <label i18n:translate="">
-     Pre-fill '<span tal:replace="context/code">CODE</span>' container with
-    </label>
-    <select id="number" name="number" class="form-control half">
-      <option value="10" i18n:translate="">10 empty records</option>
-      <option value="100" i18n:translate="">100 empty records</option>
-      <option value="1000" i18n:translate="">1000 empty records</option>
-      <option value="10000" i18n:translate="">10000 empty records</option>
-    </select>
-    <br /><br />
-    <div tal:condition="view/availableActions">
-      <input tal:repeat="action view/actions"
-             tal:replace="structure action/render"
-             />
-    </div>
-</form>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/prefillcontainer.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/prefillcontainer.pt	(revision 13218)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/prefillcontainer.pt	(revision 13218)
@@ -0,0 +1,22 @@
+<form action="." tal:attributes="action request/URL" method="post"
+      i18n:domain="waeup.kofa" enctype="multipart/form-data"
+      autocomplete="off">
+
+    <br />
+
+    <label i18n:translate="">
+     Pre-fill '<span tal:replace="context/code">CODE</span>' container with
+    </label>
+    <select id="number" name="number" class="form-control half">
+      <option value="10" i18n:translate="">10 empty records</option>
+      <option value="100" i18n:translate="">100 empty records</option>
+      <option value="1000" i18n:translate="">1000 empty records</option>
+      <option value="10000" i18n:translate="">10000 empty records</option>
+    </select>
+    <br /><br />
+    <div tal:condition="view/availableActions">
+      <input tal:repeat="action view/actions"
+             tal:replace="structure action/render"
+             />
+    </div>
+</form>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/purgecontainer.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/purgecontainer.pt	(revision 13218)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/purgecontainer.pt	(revision 13218)
@@ -0,0 +1,10 @@
+<form action="." tal:attributes="action request/URL" method="post"
+      i18n:domain="waeup.kofa" enctype="multipart/form-data"
+      autocomplete="off">
+
+    <div tal:condition="view/availableActions">
+      <input tal:repeat="action view/actions"
+             tal:replace="structure action/render"
+             />
+    </div>
+</form>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 13217)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 13218)
@@ -333,5 +333,4 @@
     translated_state = Attribute('Real name of the application state')
     special = Attribute('True if special application')
-    application_number = Attribute('The key under which the record is stored')
 
     application_date = Attribute('UTC datetime of submission, used for export only')
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 13217)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 13218)
@@ -467,5 +467,5 @@
         return
 
-    def test_prefill_container(self):
+    def test_prefill_purge_container(self):
         # Managers can pre-fill containers in create mode
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
@@ -500,4 +500,11 @@
             {'not admitted': 0, 'started': 0, 'created': 0,
             'admitted': 0, 'submitted': 0, 'initialized': 1, 'paid': 0})
+        # Container can be purged
+        self.browser.open(self.container_manage_path)
+        self.browser.getLink("Purge").click()
+        self.browser.getControl("Remove").click()
+        self.assertTrue('11 application records purged' in self.browser.contents)
+        self.assertEqual(self.applicantscontainer.counts[0], 0)
+        self.assertEqual(self.applicantscontainer.counts[1], 0)
         return
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 13217)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 13218)
@@ -116,5 +116,5 @@
     target = 'addapplicant'
 
-class ApplicantsContainerPrefillActionButton(AddActionButton):
+class ApplicantsContainerPrefillActionButton(ManageActionButton):
     grok.order(2)
     grok.context(IApplicantsContainer)
@@ -125,6 +125,15 @@
     target = 'prefill'
 
+class ApplicantsContainerPurgeActionButton(ManageActionButton):
+    grok.order(3)
+    grok.context(IApplicantsContainer)
+    grok.view(ApplicantsContainerManageFormPage)
+    grok.require('waeup.manageApplication')
+    icon = 'actionicon_sweep.png'
+    text = _('Purge container')
+    target = 'purge'
+
 class ApplicantsContainerStatisticsActionButton(ManageActionButton):
-    grok.order(3)
+    grok.order(4)
     grok.context(IApplicantsContainer)
     grok.view(ApplicantsContainerManageFormPage)
@@ -136,5 +145,5 @@
 class ApplicantsContainerStatisticsActionButton2(
         ApplicantsContainerStatisticsActionButton):
-    grok.order(4)
+    grok.order(5)
     grok.view(ApplicantsContainerPage)
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/documents/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/documents/browser.py	(revision 13217)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/documents/browser.py	(revision 13218)
@@ -21,5 +21,4 @@
 import sys
 import grok
-import pytz
 from urllib import urlencode
 from datetime import datetime