Index: main/waeup.kofa/trunk/docs/source/userdocs/applicants/browser.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/applicants/browser.rst	(revision 13170)
+++ main/waeup.kofa/trunk/docs/source/userdocs/applicants/browser.rst	(revision 13229)
@@ -10,5 +10,7 @@
 
 In create mode, `firstname`, `middlename`, `lastname`, `email` and
-`phone` are requested. A new record is being created.
+`phone` are requested. An unused record is taken, or a new
+record is being created if no unused record is found (see
+:ref:`description of application modes <application_mode>`).
 
 In update mode, only `reg_number`, `lastname` and `email` have to be
@@ -19,5 +21,5 @@
 number does not exist or the provided lastname does not match.
 Another ``if`` statement checks whether the password has already
-been set and used, i.e. the the application has already been
+been set and used, i.e. the application has already been
 started. If so, the anonymous user can't register again and is being
 requested to proceed to the login page.
@@ -36,4 +38,33 @@
 exists. Therefore, we strongly recommend to only send credentials to
 email addresses.
+
+
+.. _container_maintenance:
+
+Preparation and Maintenance of Applicants Containers
+====================================================
+
+As described in the :ref:`interfaces chapter <application_mode>`,
+applicants containers are aware of their application mode. In update
+mode, containers must be pre-filled by import with application
+records from an external board. In create mode, the container can
+remain empty. Each time an applicant registers, a new record is
+being created and a corresponding user account set up. This is the
+method of choice, if the number of expected applicants is not very
+high (e.g. less than 500). Since each single account creation causes
+a significant growth of Kofa's database, we strongly recommend to
+pre-fill applicants containers with empty application records, if
+the number of expected applicants is higher. Pre-filling is done in
+a single transaction and does thus save database volume when
+application is running.
+
+During application, many records are being initialized but not used.
+For various reasons, many applicants do create one or more
+application records with corresponding user accounts but fail to log
+in. These records remain in state ``initialized`` and are never
+turned to state ``started``. After a while, these records can be
+safely removed. When purging an applicants container, also all
+unused pre-filled application records are being removed. If
+necessary, the container must be pre-filled with empty records again.
 
 
Index: main/waeup.kofa/trunk/docs/source/userdocs/applicants/interfaces.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/userdocs/applicants/interfaces.rst	(revision 13170)
+++ main/waeup.kofa/trunk/docs/source/userdocs/applicants/interfaces.rst	(revision 13229)
@@ -64,13 +64,16 @@
 .. _application_mode:
 
-The application mode is either ``create`` or ``update``. In create
-mode, no record exists, the applicants container is empty. The records
-are being created after submission of the first form. Applicants are
-requested to provide all data needed, including their name details.
-In update mode, the applicants container must have been prefilled by
-import, e.g. with records provided by an external board. Applicants
-can't create new records, they can only open and take possession of
-existing records. Both methods have pros and cons. This is further
-discussed below.
+The application mode is either ``create`` or ``update``. In **create
+mode** the container can be either left empty or it can be
+pre-filled with fresh and 'unused' records. In the first case,
+records are being created after submission of the first form. In the
+second case, unused record are fetched and filled with the form
+data. In both 'create mode' cases, applicants are requested to
+provide all data needed, including their name details. In **update
+mode**, the applicants container must have been pre-filled by import,
+e.g. with records provided by an external board. These records are
+called 'used' since they already contain data. Applicants can't
+create new records in update mode, they can only open and take
+possession of existing records.
 
 The application category is supplied by the