Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 13185)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 13237)
@@ -51,39 +51,39 @@
 httplib.HTTPConnection.debuglevel = 0
 
-
+#All special payments moved to Skye Bank on 03-09-2015
 SPECIAL_PAYMENT_PARAMS = {
-    'certificate': ('111', 200.0, 300.0, '1751084083', '120'),
-    'state_result': ('112', 200.0, 300.0, '1751084083', '120'),
-    'transcript_local': ('113', 200.0, 300.0, '1751084083', '120'),
-    'transcript_foreign': ('114', 200.0, 300.0, '1751084083', '120'),
-    'ver_result': ('115', 200.0, 300.0, '1751084083', '120'),
-    'change_course': ('116', 200.0, 300.0, '1751084083', '120'),
-    'change_inst': ('117', 200.0, 300.0, '1751084083', '120'),
-    'jamb_reject': ('118', 200.0, 300.0, '1751084083', '120'),
-    'cert_of_cert': ('119', 200.0, 300.0, '1751084083', '120'),
-    'ref_let': ('120', 200.0, 300.0, '1751084083', '120'),
-    'proc_cert': ('121', 200.0, 300.0, '1751084083', '120'),
-    'loss_idcard': ('122', 6.0, 9.0, '1751084083', '120'),
-    'loss_examcard': ('123', 3.0, 4.5, '1751084083', '120'),
-    'loss_result': ('124', 200.0, 300.0, '1751084083', '120'),
-    'loss_receipt': ('125', 200.0, 300.0, '1751084083', '120'),
-    'loss_clearance': ('126', 200.0, 300.0, '1751084083', '120'),
-    'conv_brochure': ('127', 200.0, 300.0, '1751084083', '120'),
-    'hnd_certificate': ('128', 200.0, 300.0, '1751084083', '120'),
-    'hnd_state_result': ('129', 200.0, 300.0, '1751084083', '120'),
-    'hnd_transcript_local': ('130', 200.0, 300.0, '1751084083', '120'),
-    'hnd_transcript_foreign': ('131', 200.0, 300.0, '1751084083', '120'),
-    'staff_loss_idcard': ('132', 6.0, 9.0, '1751084083', '120'),
-    'hnd_conv_brochure': ('133', 200.0, 300.0, '1751084083', '120'),
-    'pgd_state_result': ('134', 200.0, 300.0, '1751084083', '120'),
-    'pgd_conv_brochure': ('135', 200.0, 300.0, '1751084083', '120'),
-    'pgd_certificate': ('136', 200.0, 300.0, '1751084083', '120'),
-    'log_book': ('137', 3.0, 4.5, '1010508401', '117'),
-    'pgd_transcript_foreign': ('138', 200.0, 300.0, '1751084083', '120'),
-    'pgd_transcript_local': ('139', 200.0, 300.0, '1751084083', '120'),
-    'jamb_regularization': ('140', 200.0, 300.0, '0838798020', '76'),
-    'utme_registration': ('142', 6.0, 9.0, '2013910271', '8'),
-    'utme_cbt': ('143', 6.0, 9.0, '2013910271', '8'),
-    'nysc_id_card': ('144', 6.0, 9.0, '1751084083', '120'),
+    'certificate': ('111', 200.0, 300.0, '1771440667', '120'),
+    'state_result': ('112', 200.0, 300.0, '1771440667', '120'),
+    'transcript_local': ('113', 200.0, 300.0, '1771440667', '120'),
+    'transcript_foreign': ('114', 200.0, 300.0, '1771440667', '120'),
+    'ver_result': ('115', 200.0, 300.0, '1771440667', '120'),
+    'change_course': ('116', 200.0, 300.0, '1771440667', '120'),
+    'change_inst': ('117', 200.0, 300.0, '1771440667', '120'),
+    'jamb_reject': ('118', 200.0, 300.0, '1771440667', '120'),
+    'cert_of_cert': ('119', 200.0, 300.0, '1771440667', '120'),
+    'ref_let': ('120', 200.0, 300.0, '1771440667', '120'),
+    'proc_cert': ('121', 200.0, 300.0, '1771440667', '120'),
+    'loss_idcard': ('122', 6.0, 9.0, '1771440667', '120'),
+    'loss_examcard': ('123', 3.0, 4.5, '1771440667', '120'),
+    'loss_result': ('124', 200.0, 300.0, '1771440667', '120'),
+    'loss_receipt': ('125', 200.0, 300.0, '1771440667', '120'),
+    'loss_clearance': ('126', 200.0, 300.0, '1771440667', '120'),
+    'conv_brochure': ('127', 200.0, 300.0, '1771440667', '120'),
+    'hnd_certificate': ('128', 200.0, 300.0, '1771440667', '120'),
+    'hnd_state_result': ('129', 200.0, 300.0, '1771440667', '120'),
+    'hnd_transcript_local': ('130', 200.0, 300.0, '1771440667', '120'),
+    'hnd_transcript_foreign': ('131', 200.0, 300.0, '1771440667', '120'),
+    'staff_loss_idcard': ('132', 6.0, 9.0, '1771440667', '120'),
+    'hnd_conv_brochure': ('133', 200.0, 300.0, '1771440667', '120'),
+    'pgd_state_result': ('134', 200.0, 300.0, '1771440667', '120'),
+    'pgd_conv_brochure': ('135', 200.0, 300.0, '1771440667', '120'),
+    'pgd_certificate': ('136', 200.0, 300.0, '1771440667', '120'),
+    'log_book': ('137', 3.0, 4.5, '1771440667', '120'),
+    'pgd_transcript_foreign': ('138', 200.0, 300.0, '1771440667', '120'),
+    'pgd_transcript_local': ('139', 200.0, 300.0, '1771440667', '120'),
+    'jamb_regularization': ('140', 200.0, 300.0, '1771440667', '120'),
+    'utme_registration': ('142', 6.0, 9.0, '1771440667', '120'),
+    'utme_cbt': ('143', 6.0, 9.0, '1771440667', '120'),
+    'nysc_id_card': ('144', 6.0, 9.0, '1771440667', '120'),
     }
 
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 13185)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 13237)
@@ -721,5 +721,5 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="ND Transcript (local)" '
-            'item_amt="450000" bank_id="120" acct_num="1751084083" />'
+            'item_amt="450000" bank_id="120" acct_num="1771440667" />'
             in self.browser.contents)
 
@@ -734,5 +734,5 @@
         self.assertTrue(
             '<item_detail item_id="1" item_name="Log Book" '
-            'item_amt="55444" bank_id="117" acct_num="1010508401" />'
+            'item_amt="55444" bank_id="120" acct_num="1771440667" />'
             in self.browser.contents)
 