Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/browser.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/browser.py	(revision 12482)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/browser.py	(revision 13289)
@@ -27,5 +27,5 @@
 from waeup.kofa.students.browser import (
     StudyLevelEditFormPage, StudyLevelDisplayFormPage,
-    StudentBasePDFFormPage, ExportPDFCourseRegistrationSlipPage,
+    StudentBasePDFFormPage,
     CourseTicketDisplayFormPage, StudentTriggerTransitionFormPage,
     msave, emit_lock_message)
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/export.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/export.py	(revision 12482)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/export.py	(revision 13289)
@@ -29,5 +29,5 @@
     StudentStudyLevelExporter,
     CourseTicketExporter,
-    StudentPaymentsExporter)
+    StudentPaymentExporter)
 from waeup.kofa.utils.helpers import iface_names
 
@@ -53,5 +53,5 @@
     #: Fieldnames considered by this exporter
     fields = tuple(sorted(iface_names(
-        ICustomStudentStudyLevel) + ['level'])) + (
+        ICustomStudentStudyLevel))) + (
         'student_id', 'number_of_tickets','certcode')
 
@@ -64,5 +64,5 @@
         'certcode', 'display_fullname')
 
-class CustomStudentPaymentsExporter(StudentPaymentsExporter):
+class CustomStudentPaymentExporter(StudentPaymentExporter):
     """Exporter for OnlinePayment instances.
     """
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_export.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_export.py	(revision 12482)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_export.py	(revision 13289)
@@ -7,5 +7,5 @@
 from kofacustom.sampleuni.utils.utils import CustomKofaUtils
 from kofacustom.sampleuni.students.export import (
-    CustomStudentExporter, CustomStudentPaymentsExporter)
+    CustomStudentExporter, CustomStudentPaymentExporter)
 from kofacustom.sampleuni.testing import FunctionalLayer
 
@@ -61,10 +61,10 @@
         return
 
-class CustomStudentPaymentsExporterTest(StudentImportExportSetup):
+class CustomStudentPaymentExporterTest(StudentImportExportSetup):
 
     layer = FunctionalLayer
 
     def setUp(self):
-        super(CustomStudentPaymentsExporterTest, self).setUp()
+        super(CustomStudentPaymentExporterTest, self).setUp()
         self.setup_for_export()
         return
@@ -72,7 +72,7 @@
     def test_ifaces(self):
         # make sure we fullfill interface contracts
-        obj = CustomStudentPaymentsExporter()
+        obj = CustomStudentPaymentExporter()
         verifyObject(ICSVExporter, obj)
-        verifyClass(ICSVExporter, CustomStudentPaymentsExporter)
+        verifyClass(ICSVExporter, CustomStudentPaymentExporter)
         return
 
@@ -83,5 +83,5 @@
         self.student['payments']['my-payment'].r_company = 'interswatch'
         self.student['payments']['my-payment'].r_card_num = '789'
-        exporter = CustomStudentPaymentsExporter()
+        exporter = CustomStudentPaymentExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/viewlets.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/viewlets.py	(revision 12482)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/viewlets.py	(revision 13289)
@@ -25,5 +25,5 @@
     StudentFileDisplay, StudentFileUpload, Image)
 from waeup.kofa.students.browser import (
-    ExportPDFClearanceSlipPage, StudyCourseDisplayFormPage,
+    StudyCourseDisplayFormPage,
     StudyLevelDisplayFormPage)
 