Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 13131)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 13306)
@@ -36,5 +36,5 @@
 from waeup.kwarapoly.testing import FunctionalLayer
 from waeup.kwarapoly.students.utils import (
-    local_nonlocal, arts_science, pt_ft)
+    local_nonlocal, arts_science, we_ft)
 
 
@@ -220,5 +220,5 @@
         self.assertEqual(local_nonlocal(self.student), 'non-local')
         self.assertEqual(arts_science(self.student), 'science')
-        self.assertEqual(pt_ft(self.student), 'ft')
+        self.assertEqual(we_ft(self.student), 'ft')
 
         # Maint payment checking disabled on 5th Dec 2014
@@ -237,5 +237,5 @@
         self.assertEqual(payment.p_level, 100)
         self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 53900.0)
+        self.assertEqual(payment.amount_auth, 55200.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -250,5 +250,5 @@
         self.assertEqual(payment.p_level, 200)
         self.assertEqual(payment.p_session, 2005)
-        self.assertEqual(payment.amount_auth, 33090.0)
+        self.assertEqual(payment.amount_auth, 34090.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -256,5 +256,5 @@
         configuration.penalty_ug = 5000.0
         error, payment = utils.setPaymentDetails('schoolfee',self.student)
-        self.assertEqual(payment.amount_auth, 38090.0)
+        self.assertEqual(payment.amount_auth, 39090.0)
         self.assertEqual(error, None)
 
@@ -277,5 +277,5 @@
         self.assertEqual(payment.p_level, 100)
         self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 7000.0)
+        self.assertEqual(payment.amount_auth, 10000.0)
         self.assertEqual(payment.p_item, u'2 CarryOvers')
         self.assertEqual(payment.p_category, 'schoolfee')
@@ -285,5 +285,5 @@
         self.assertEqual(payment.p_level, 100)
         self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 8000.0)
+        self.assertEqual(payment.amount_auth, 15000.0)
         self.assertEqual(payment.p_item, u'3 CarryOvers')
         self.assertEqual(payment.p_category, 'schoolfee')
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 13131)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 13306)
@@ -47,5 +47,5 @@
 
 FEES_PARAMS = (
-        ('ft', 'pt'),
+        ('ft', 'we'),
         ('local', 'non-local'),
         ('science','arts'),
@@ -56,22 +56,22 @@
         (
           ( # 10       100      110      200      210     300    400     410      500      510     600   999
-            (34500.0, 39400.0, 28800.0, 30500.0, 28800.0, 0.0, 40000.0, 29900.0, 33700.0, 29900.0, 0.0, 48750.0), # science
-            (34500.0, 37900.0, 27300.0, 29000.0, 27300.0, 0.0, 38500.0, 28400.0, 32200.0, 28400.0, 0.0, 47200.0)  # arts
+            (34500.0, 40700.0, 33600.0, 31500.0, 33600.0, 0.0, 46200.0, 35600.0, 34700.0, 35600.0, 0.0, 48750.0), # science
+            (34500.0, 38700.0, 31600.0, 29500.0, 31600.0, 0.0, 44200.0, 33600.0, 32700.0, 33600.0, 0.0, 47200.0)  # arts
           ), # local
           ( # 10       100      110      200      210     300    400     410      500      510     600   999
-            (49600.0, 53900.0, 35900.0, 33090.0, 35900.0, 0.0, 56400.0, 38600.0, 36900.0, 38600.0, 0.0, 63180.0), # science
-            (49600.0, 52400.0, 34400.0, 31590.0, 34400.0, 0.0, 54900.0, 37100.0, 35400.0, 37100.0, 0.0, 61680.0)  # arts
+            (49600.0, 55200.0, 41100.0, 34090.0, 41100.0, 0.0, 60700.0, 45600.0, 37900.0, 45600.0, 0.0, 63180.0), # science
+            (49600.0, 53200.0, 39100.0, 32090.0, 39100.0, 0.0, 58700.0, 43600.0, 35900.0, 43600.0, 0.0, 61680.0)  # arts
           ), # non-local
         ), # ft
         (
           ( # 10    100       110    200      210      300      400        410    500     510       600     999
-            (0.0, 40700.0, 28800.0, 30900.0, 28800.0, 30900.0, 41100.0, 29900.0, 33050.0, 29900.0, 33050.0, 0.0), # science
-            (0.0, 39200.0, 27300.0, 29400.0, 27300.0, 29400.0, 39600.0, 28400.0, 31550.0, 28400.0, 31550.0, 0.0)  # arts
+            (0.0, 42000.0, 33600.0, 33400.0, 33600.0, 33400.0, 42400.0, 35600.0, 37500.0, 35600.0, 37500.0, 0.0), # science
+            (0.0, 40000.0, 31600.0, 31400.0, 31600.0, 31400.0, 40400.0, 33600.0, 35500.0, 33600.0, 35500.0, 0.0)  # arts
           ), # local
           ( # 10   100         110    200       210      300      400     410      500     510      600     999
-            (0.0, 55400.0, 35900.0, 34850.0, 35900.0, 34850.0, 57800.0, 38600.0, 44350.0, 38600.0, 44350.0, 0.0), # science
-            (0.0, 53900.0, 34400.0, 33350.0, 34400.0, 33350.0, 56300.0, 37100.0, 42850.0, 37100.0, 42850.0, 0.0)  # arts
+            (0.0, 56700.0, 41100.0, 36350.0, 41100.0, 36350.0, 57600.0, 45600.0, 45850.0, 45600.0, 45850.0, 0.0), # science
+            (0.0, 54700.0, 39100.0, 34350.0, 39100.0, 34350.0, 55600.0, 43600.0, 43850.0, 43600.0, 43850.0, 0.0)  # arts
           ), # non-local
-        ), # pt
+        ), # we
     )
 
@@ -91,7 +91,7 @@
         return 'science'
 
-def pt_ft(student):
-    if student.current_mode.endswith('pt'):
-        return 'pt'
+def we_ft(student):
+    if student.current_mode.endswith('we'):
+        return 'we'
     else:
         return 'ft'
@@ -241,5 +241,5 @@
                 if p_level in PAYMENT_LEVELS:
                     amount = SCHOOL_FEES.get_fee(
-                        (pt_ft(student),
+                        (we_ft(student),
                          local_nonlocal(student),
                          arts_science(student),
@@ -249,7 +249,7 @@
             amount = 6000.0
         elif category == 'carryover2':
-            amount = 7000.0
+            amount = 10000.0
         elif category == 'carryover3':
-            amount = 8000.0
+            amount = 15000.0
 
         else: